Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1749949 - iwlwifi FW error in SYNC CMD GEO_TX_POWER_LIMIT
Summary: iwlwifi FW error in SYNC CMD GEO_TX_POWER_LIMIT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2019-09-06 20:30 UTC by Paul Whalen
Modified: 2019-10-04 20:05 UTC (History)
19 users (show)

Fixed In Version: kernel-5.3.1-300.fc31 kernel-5.3.2-300.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 00:02:08 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (180.81 KB, text/plain)
2019-09-06 20:32 UTC, Paul Whalen
no flags Details
lsusb (603 bytes, text/plain)
2019-09-06 22:18 UTC, Paul Whalen
no flags Details
lspci (3.49 KB, text/plain)
2019-09-06 22:18 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2019-09-06 20:30:15 UTC
Description of problem:
Booting a system with Intel wireless (8260) causes a firmware crash.


Version-Release number of selected component (if applicable):
iwl7260-firmware-25.30.13.0-101.fc31.noarch
5.3.0-0.rc6.git0.1.fc31.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Install or upgrade to the latest F31 IoT compose
2. Attempt to boot

Actual results:
Repeated crash messages on screen.


Additional info:
Working on a vanilla Fedora 31 install with the same package versions.

Comment 1 Paul Whalen 2019-09-06 20:32:40 UTC
Created attachment 1612558 [details]
dmesg

Comment 2 Paul Whalen 2019-09-06 22:16:21 UTC
Spoke too soon, this also affects vanilla f31.

Comment 3 Paul Whalen 2019-09-06 22:18:00 UTC
Created attachment 1612565 [details]
lsusb

Comment 4 Paul Whalen 2019-09-06 22:18:21 UTC
Created attachment 1612566 [details]
lspci

Comment 5 Chris Murphy 2019-09-23 20:44:40 UTC
Could be a dup of bug 1745766.

Possible related upstream bugs, in particular the first which directly refers to 
https://bugzilla.kernel.org/show_bug.cgi?id=204151
https://bugzilla.kernel.org/show_bug.cgi?id=204153

I'm not sure at what point this is a legitimate complaint to ask for a revert for whatever caused the regression. Is anyone else seeing performance regressions coinciding with these splats? I'm seeing 8x performance reduction consistently on 5.3.0 kernel, but only intermittantly on 5.2.x kernel, and no regression at all with 5.1.x. So I guess it's complicated.

Comment 6 Peter Robinson 2019-09-24 14:15:13 UTC
(In reply to Chris Murphy from comment #5)
> Could be a dup of bug 1745766.

Nope, there were two distinct problems. One was fixed some time ago, this one just got a patch.

Comment 7 Chris Murphy 2019-09-24 18:04:59 UTC
I hit both bugs at the same time, first the firmware splat with this bug's complaint, and then I get the kernel backtrace in 1745766. I don't know if they're related, but the other one is definitely not fixed in either 5.2 or 5.3 series.

Comment 8 Fedora Update System 2019-09-25 14:18:10 UTC
FEDORA-2019-43830aa346 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-43830aa346

Comment 9 Paul Whalen 2019-09-25 15:13:53 UTC
Verified fixed with 5.3.1-300.fc31.x86_64.

Comment 10 Fedora Update System 2019-09-26 00:02:08 UTC
kernel-5.3.1-300.fc31, kernel-headers-5.3.1-100.fc31, kernel-tools-5.3.1-100.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-02 22:09:43 UTC
FEDORA-2019-fbcb04143f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbcb04143f

Comment 12 Fedora Update System 2019-10-03 03:20:05 UTC
kernel-5.3.2-300.fc31, kernel-headers-5.3.2-300.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbcb04143f

Comment 13 Fedora Update System 2019-10-04 20:05:49 UTC
kernel-5.3.2-300.fc31, kernel-headers-5.3.2-300.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.